Get an allowed item¶
GET/
Endpoint API · Allowed Items
Get an allowed item by ID.
Parameters¶
| Name | In | Type | Required | Description |
|---|---|---|---|---|
X-Tenant-ID | header | string (uuid) | Yes | Tenant ID. |
allowedItemId | path | string (uuid) | Yes | Allowed item ID. |
Request samples¶
curl -X GET "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items/<allowedItemId>" -H "Authorization: Bearer <access-token>" -H "X-Tenant-ID: <tenant-id>"
import requests
response = requests.get(
"https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items/<allowedItemId>",
headers={
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
)
print(response.json())
$headers = @{
"Authorization" = "Bearer <access-token>"
"X-Tenant-ID" = "<tenant-id>"
}
Invoke-RestMethod -Method GET -Uri "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items/<allowedItemId>" -Headers $headers
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items/<allowedItemId>", nil)
if err != nil {
panic(err)
}
req.Header.Set("Authorization", "Bearer <access-token>")
req.Header.Set("X-Tenant-ID", "<tenant-id>")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
const response = await fetch("https://api-<data-region>.central.sophos.com/endpoint/v1/settings/allowed-items/<allowedItemId>", {
method: "GET",
headers: {
"Authorization": "Bearer <access-token>",
"X-Tenant-ID": "<tenant-id>",
},
});
const data = await response.json();
console.log(data);
Responses¶
200 — Allowed item.¶
Response fields
idstring (uuid)requiredUnique ID for the allowed application.
createdAtstring (date-time)requiredDate and time (UTC) when the allowed application was created.
updatedAtstring (date-time)Date and time (UTC) when the allowed application was updated.
propertiesobjectrequiredAllowed item properties.
Show child attributesHide child attributes
fileNamestringFile name.
pathstringPath for the application.
sha256stringSha256 value for the application.
certificateSignerstringValue saved for the certificateSigner.
commentstringrequiredComment indicating why the item was allowed.
typestringrequiredProperty by which an item is allowed.
Must be one of:
Must be one of:
path, sha256, certificateSigner, posixPath.createdByobjectUser.
Show child attributesHide child attributes
idstring (uuid)requiredUnique ID for the user.
namestringPerson's name.
originPersonobjectUser.
Show child attributesHide child attributes
idstring (uuid)requiredUnique ID for the user.
namestringPerson's name.
originEndpointobjectRepresents a referenced object.
Show child attributesHide child attributes
idstring (uuid)requiredThe ID of the referenced object.
Errors¶
| Status | Meaning |
|---|---|
400 | Bad request. |
404 | Can't find allowed item. |
500 | Unexpected error. |
All error responses share the same shape — see the error response object.
Response examples¶
200¶
{
"id": "00000000-0000-0000-0000-000000000000",
"createdAt": "2019-09-23T12:02:01.700Z",
"updatedAt": "2019-09-23T12:02:01.700Z",
"properties": {
"fileName": "string",
"path": "string",
"sha256": "string",
"certificateSigner": "string"
},
"comment": "string",
"type": "path",
"createdBy": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string"
},
"originPerson": {
"id": "00000000-0000-0000-0000-000000000000",
"name": "string"
},
"originEndpoint": {
"id": "00000000-0000-0000-0000-000000000000"
}
}
See the guide for a narrative walkthrough of this API.